Subject: [Ietf-calsify] Issue 32: Charset parameter

From: lear at cisco.com (Eliot Lear)
Date: Fri Sep 29 07:09:29 2006

I believe this may already be addressed, but I believe we agreed, MUST
accept US-ASCII, UTF-8, SHOULD generate UTF-8.  Correct?

Eliot

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Fri Sep 29 07:43:20 2006

Hi Eliot,

> accept US-ASCII, UTF-8, SHOULD generate UTF-8.  Correct?

I think so.

-- 
Cyrus Daboo

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Fri Sep 29 10:26:50 2006

Here's some proposed text for this issue.

Section 3.2 Parameters

OLD TEXT:

 > The "charset" parameter is defined in [RFC 2046] for other body
 > parts. It is used to identify the default character set used within
 > the body part.

NEW TEXT:

 > The "charset" parameter is defined in [RFC 2046] for subtypes of
 > the "text" media type. It is used to indicate the character set
 > used in the body part. The "charset" values supported by this
 > revision of iCalendar are UTF-8 and US-ASCII. Applications are
 > REQUIRED to accept iCalendar streams using the UTF-8 or US-ASCII
 > charsets, and SHOULD generate iCalendar streams with the UTF-8
 > charset.

Section 4.1.4 Character Set

OLD TEXT:

 > There is not a property parameter to declare the character set used
 > in a property value. The default character set for an iCalendar
 > object is UTF-8 as defined in [RFC 2279].
 >
 > The "charset" Content-Type parameter can be used in MIME transports
 > to specify any other IANA registered character set.

NEW TEXT:

 > There is not a property parameter to declare the character set used
 > in a property value. The default character set for an iCalendar
 > stream is UTF-8 as defined in [RFC 3629].
 >
 > The "charset" Content-Type parameter can be used in MIME transports
 > to specify the character set being used.

Section 4.3.11 Text

OLD TEXT:

 > Formal Definition: The character sets supported by this revision of
 > iCalendar are UTF-8 and US ASCII thereof. The applicability to other
 > character sets is for future work. The value type is defined by the
 > following notation.

NEW TEXT:

 > Formal Definition: The value type is defined by the following notation:

Cheers,
Bernard

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Fri Sep 29 10:57:30 2006

Please ignore my previous message.

We already have proposed text which has been reviewed by Mark
and Alexey.

Cheers,
Bernard

Bernard Desruisseaux wrote:
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify